---
- name: Update RedHat packages
  yum: update_cache=yes
       name=* state=latest
  when: ansible_os_family == 'RedHat'

- name: Update Debian packages
  apt: update_cache=yes cache_valid_time=3600
       upgrade=safe
  when: ansible_os_family == 'Debian'